import { Directive, ElementRef, Input, HostListener, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/components/directives/highlighter/highlighter.directive.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class HighlighterDirective {
    /**
     * @param {?} el
     */
    constructor(el) {
        this.el = el;
    }
    /**
     * @return {?}
     */
    onMouseEnter() {
        this.highlight(this.highlightColor || this.defaultColor || 'yellow');
    }
    /**
     * @return {?}
     */
    onMouseLeave() {
        this.highlight(null);
    }
    /**
     * @private
     * @param {?} color
     * @return {?}
     */
    highlight(color) {
        this.el.nativeElement.style.backgroundColor = color;
    }
}
HighlighterDirective.decorators = [
    { type: Directive, args: [{
                selector: '[libHighlighter]'
            },] }
];
/** @nocollapse */
HighlighterDirective.ctorParameters = () => [
    { type: ElementRef }
];
HighlighterDirective.propDecorators = {
    defaultColor: [{ type: Input }],
    highlightColor: [{ type: Input, args: ['appHighlight',] }],
    onMouseEnter: [{ type: HostListener, args: ['mouseenter',] }],
    onMouseLeave: [{ type: HostListener, args: ['mouseleave',] }]
};

/**
 * @fileoverview added by tsickle
 * Generated from: lib/components/directives/highlighter/highlighter.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class HighlighterModule {
}
HighlighterModule.decorators = [
    { type: NgModule, args: [{
                declarations: [HighlighterDirective],
                imports: [
                    CommonModule
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: public-api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: highlight-on-hover.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { HighlighterDirective, HighlighterModule };

//# sourceMappingURL=highlight-on-hover.js.map